org.apache.fop.fonts.substitute

## Class FontQualifier

- java.lang.Object
- - org.apache.fop.fonts.substitute.FontQualifier

-     public class FontQualifier
      extends Object

  Encapsulates a font substitution qualifier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontQualifier()` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FontTriplet` | `bestMatch(FontInfo fontInfo)` Returns the highest priority matching font triplet found in a given font info
    `AttributeValue` | `getFontFamily()`
    `AttributeValue` | `getFontStyle()`
    `AttributeValue` | `getFontWeight()`
    `List<FontTriplet>` | `getTriplets()`
    `boolean` | `hasFontStyle()`
    `boolean` | `hasFontWeight()`
    `protected List<FontTriplet>` | `match(FontInfo fontInfo)` Returns a list of matching font triplet found in a given font info
    `void` | `setFontFamily(String fontFamily)` Sets the font family
    `void` | `setFontStyle(String fontStyle)` Sets the font style
    `void` | `setFontWeight(String fontWeight)` Sets the font weight
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FontQualifier

          public FontQualifier()

      Default constructor

  - ### Method Detail

    - #### setFontFamily

          public void setFontFamily(String fontFamily)

      Sets the font family
      Parameters:
        `fontFamily` - the font family

    - #### setFontStyle

          public void setFontStyle(String fontStyle)

      Sets the font style
      Parameters:
        `fontStyle` - the font style

    - #### setFontWeight

          public void setFontWeight(String fontWeight)

      Sets the font weight
      Parameters:
        `fontWeight` - the font weight

    - #### getFontFamily

          public AttributeValue getFontFamily()

      Returns:
        the font family attribute

    - #### getFontStyle

          public AttributeValue getFontStyle()

      Returns:
        the font style attribute

    - #### getFontWeight

          public AttributeValue getFontWeight()

      Returns:
        the font weight attribute

    - #### hasFontWeight

          public boolean hasFontWeight()

      Returns:
        true if this rule has a font weight

    - #### hasFontStyle

          public boolean hasFontStyle()

      Returns:
        true if this rule has a font style

    - #### match

          protected List<FontTriplet> match(FontInfo fontInfo)

      Returns a list of matching font triplet found in a given font info
      Parameters:
        `fontInfo` - the font info
      Returns:
        a list of matching font triplets

    - #### bestMatch

          protected FontTriplet bestMatch(FontInfo fontInfo)

      Returns the highest priority matching font triplet found in a given font info
      Parameters:
        `fontInfo` - the font info
      Returns:
        the highest priority matching font triplet

    - #### getTriplets

          public List<FontTriplet> getTriplets()

      Returns:
        a list of font triplets matching this qualifier

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2025 Apache Software Foundation. All rights reserved.